org.apache.hadoop.mapred.nativetask.buffer

## Class OutputBuffer

- java.lang.Object
- - org.apache.hadoop.mapred.nativetask.buffer.OutputBuffer

-     @InterfaceAudience.Private
      public class OutputBuffer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ByteBuffer` | `byteBuffer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputBuffer(BufferType type, int outputBufferCapacity)`
    `OutputBuffer(byte[] bytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `getByteBuffer()`
    `BufferType` | `getType()`
    `int` | `length()`
    `int` | `limit()`
    `void` | `rewind()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### byteBuffer

          protected ByteBuffer byteBuffer

  - ### Constructor Detail

    - #### OutputBuffer

          public OutputBuffer(BufferType type,
                              int outputBufferCapacity)

    - #### OutputBuffer

          public OutputBuffer(byte[] bytes)

  - ### Method Detail

    - #### getType

          public BufferType getType()

    - #### getByteBuffer

          public ByteBuffer getByteBuffer()

    - #### length

          public int length()

    - #### rewind

          public void rewind()

    - #### limit

          public int limit()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.